Reference
Get the history of an entity
List the recorded changes of one entity.
GET
/sanctions/entities/{id}/historyAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
The entity id, as returned by search or match.
Length
length <= 200Query Parameters
type?string
The list the entity is in.
Default
"sanction"Value in
- "sanction"
- "pep"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/sanctions/entities/Q7747/history" \ -H "Authorization: Bearer lil_sk_..."{ "history": { "listings": [ { "authority": "string", "program": "string", "status": "string", "startDate": "string", "endDate": "string", "allStartDates": [ "string" ], "allEndDates": [ "string" ], "reason": "string", "sourceUrl": "string", "ended": true } ], "truncated": true, "firstListedAt": "string", "lastEndedAt": "string", "currentlyListed": true, "authorityCount": 0 }}Last updated on